﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("_PDCodeScript")

<div class="content">
    <table style="width: 100%" >
        <tr>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "PD Code";
                }).GetHtml()
            </td>
            <td style="width: 5px">
            </td>
            <td>
               @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PD_CD";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 25;
                }).GetHtml()
            </td>

            <td style="width: 50px">
            </td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Description";
                }).GetHtml()
            </td>
            <td style="width: 5px">
            </td>
            <td>
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_DESCRIPTION";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 250;
                    settings.Properties.MaxLength = 25;
                }).GetHtml()
            </td>
            <td style="width: 450px">
            </td>
            <td colspan="2" align=right>
                @Html.DevExpress().Button(
                 edtSetting =>
                 {
                     edtSetting.Name = "cmdSearch";
                     edtSetting.Text = "Search";
                     edtSetting.Width = 75;
                     edtSetting.ClientSideEvents.Click = "OnSearch";
                     edtSetting.Style.Add("display", "inline-table");
                     edtSetting.UseSubmitBehavior = true;
                     //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PDCode", "FTR-SPEX-126-01", "SEARCH");
                 }
                 ).GetHtml()
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdClear";
                    edtSetting.Width = 75;
                    edtSetting.Text = "Clear";
                    edtSetting.ClientSideEvents.Click = "OnClear";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PDCode", "FTR-SPEX-126-01", "CLEAR");
                }).GetHtml()
            </td>
        </tr>

        <tr>
            <td colspan="19">
                <hr />
            </td>
        </tr>
        <tr>
            <td colspan="4">
            @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdSave";
                    Button.Text = "Save";
                    Button.Width = 75;
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "SaveDataPDCode";
                    //Button.ClientSideEvents.Init = "InitData";
                    Button.ClientVisible= Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PDCode", "FTR-SPEX-126-02", "SAVE");
                    
                }).GetHtml()
                @Html.DevExpress().Button(Button =>
                   {
                       Button.Name = "cmdCancel";                    
                       Button.Text = "Cancel";
                       Button.Width = 75;
                       Button.Style.Add("display", "inline-table");
                       Button.ClientSideEvents.Click = "CancelData";
                       Button.UseSubmitBehavior = true;
                       //Button.ClientSideEvents.Init = "InitData";
                       Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PDCode", "FTR-SPEX-126-02", "CANCEL");
                    
                   }).GetHtml()
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdDownload";
                    edtSetting.Width = 75;
                    edtSetting.Text = "Download";
                    edtSetting.ClientSideEvents.Click = "DownloadData";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PDCode", "FTR-SPEX-126-03", "DOWNLOAD");
                }
                ).GetHtml()
            </td>
            <td></td>
            <td colspan="4" align="right">
                @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdAdd";
                    Button.Text = "Add";
                    Button.Width = 75;
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "AddData";
                    //Button.ClientSideEvents.Init = "InitData";
                    Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PDCode", "FTR-SPEX-126-02", "ADD");
                 
                }).GetHtml()
                @Html.DevExpress().Button(Button =>
                {
                    Button.Name = "cmdEdit";
                    Button.Text = "Edit";
                    Button.Width = 75;
                    Button.Style.Add("display", "inline-table");
                    Button.UseSubmitBehavior = true;
                    Button.ClientSideEvents.Click = "EditData";
                    //Button.ClientSideEvents.Init = "InitData";
                    Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PDCode", "FTR-SPEX-126-02", "EDIT");
                 
                }).GetHtml()

                @Html.DevExpress().Button(Button =>
                   {
                       Button.Name = "cmdDelete";
                       Button.Text = "Delete";
                       Button.Width = 75;
                       Button.Style.Add("display", "inline-table");
                       Button.ClientSideEvents.Click = "DeleteData";
                       Button.UseSubmitBehavior = true; ;
                      // Button.ClientSideEvents.Init = "InitData";
                       Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PDCode", "FTR-SPEX-126-02", "DELETE");
                 
                   }).GetHtml()                
            </td>
           
        </tr>

    </table>
</div>
<div class="content" style="min-height: 400px">
    @Html.Partial("PDCodeGrid")
</div>